View Issue Details

IDProjectCategoryView StatusLast Update
0022778LazarusLCLpublic2012-09-27 19:09
ReporterJohn Kelly Assigned ToZeljan Rikalo  
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version1.0.0 
Summary0022778: Crash using vsIcon or vsSmallIcon views in GTK2 TListView
DescriptionOn a Listview component, when in vsIcon or vsSmallIcon viewstyle, with MultiSelect:=true and DragMode:=dmAutomatic, clicking anywhere in the ListView starts an unwanted rubberband select operation. This can only be stopped by a left or right click. Left click gives a crash -
**
Gtk:ERROR:gtkiconview.c:2396:gtk_icon_view_start_rubberbanding: assertion failed: (!icon_view->priv->doing_rubberband)
Aborted (core dumped)

Right click stops the operation but leaves nothing selected.
Additional InformationThis is on Fedora 17, x86_64.
kernel-3.5.2-3.fc17.x86_64
using
fpc-src-2.6.0-0.laz.x86_64
lazarus-1.0-0.x86_64
fpc-2.6.0-0.laz.x86_64
TagsNo tags attached.
Fixed in Revision38519
LazTarget-
WidgetsetGTK 2
Attached Files

Relationships

related to 0022991 closedZeljan Rikalo Cancelling a modal form initiated from a TListview double click results in an inappropriate rubberband select operation. 

Activities

2012-09-02 10:24

 

listview.tgz (128,178 bytes)

Zeljan Rikalo

2012-09-05 07:54

developer   ~0062081

hm....seem that it will be hard or even impossible to fix this under gtk2.
It calls gtk_icon_view_start_rubberbanding() if icon view is in multiple selection mode, and I cannot find the way to stop it. That call uses mouse grabber and that's why it crashes. gtk_icon_view_stop_rubberbanding() and gtk_icon_view_start_rubberbanding() are private procs in gtk2 GtkIconView so no way to access it.

Zeljan Rikalo

2012-09-05 09:15

developer   ~0062084

Last edited: 2012-09-05 09:16

Please test and close if ok.
I've tested with gtk2-2.8.15 (FC3), gtk2-2.22 (FC14) and gtk2-2.24 (FC16 64bit).
Also, I'll add this commit into fixes_10 so it will be in 1.0.2 in a few weeks.

theo

2012-09-05 09:34

reporter   ~0062087

Works here in Revision 38519.
gtk2-2.24.7-2.5.1.x86_64 OpenSuse 12.1

Thanks Zeljko!

John Kelly

2012-09-27 19:09

reporter   ~0062697

Thanks Zeljan

Issue History

Date Modified Username Field Change
2012-09-02 10:24 John Kelly New Issue
2012-09-02 10:24 John Kelly File Added: listview.tgz
2012-09-02 10:24 John Kelly Widgetset => GTK 2
2012-09-04 14:26 Zeljan Rikalo Status new => assigned
2012-09-04 14:26 Zeljan Rikalo Assigned To => Zeljan Rikalo
2012-09-05 07:54 Zeljan Rikalo Note Added: 0062081
2012-09-05 09:15 Zeljan Rikalo Fixed in Revision => 38519
2012-09-05 09:15 Zeljan Rikalo LazTarget => -
2012-09-05 09:15 Zeljan Rikalo Status assigned => resolved
2012-09-05 09:15 Zeljan Rikalo Resolution open => fixed
2012-09-05 09:15 Zeljan Rikalo Note Added: 0062084
2012-09-05 09:16 Zeljan Rikalo Note Edited: 0062084
2012-09-05 09:34 theo Note Added: 0062087
2012-09-27 14:52 Zeljan Rikalo Relationship added related to 0022991
2012-09-27 19:09 John Kelly Status resolved => closed
2012-09-27 19:09 John Kelly Note Added: 0062697